## gluqlo 1.1+git20211231

=== Makefile ===
CC=g++
FONTDIR=$(DESTDIR)/usr/share/gluqlo
CFLAGS=-Wall -o gluqlo gluqlo.c `sdl-config --libs --cflags` -DFONT='"$(FONTDIR)/gluqlo.ttf"'
LDFLAGS=-lX11 -lSDL_ttf -lSDL_gfx

all: gluqlo

gluqlo: gluqlo.c
	$(CC) $(CFLAGS) $(LDFLAGS)

install:
	strip gluqlo
	install -o root -m 0755 -D gluqlo $(DESTDIR)/usr/lib/xscreensaver/gluqlo
	install -o root -m 0644 -D gluqlo.ttf $(FONTDIR)/gluqlo.ttf
	install -o root -m 0644 -D gluqlo.png $(DESTDIR)/usr/share/pixmaps/gluqlo.png
	install -o root -m 0644 -D gluqlo.xml $(DESTDIR)/usr/share/xscreensaver/config/gluqlo.xml
	install -o root -m 0644 -D gluqlo.desktop $(DESTDIR)/usr/share/applications/screensavers/gluqlo.desktop

uninstall:
	rm -f $(DESTDIR)/usr/share/xscreensaver/config/gluqlo.xml $(DESTDIR)/usr/share/applications/screensavers/gluqlo.desktop \
		$(DESTDIR)/usr/lib/xscreensaver/gluqlo $(FONTDIR)/gluqlo.ttf $(DESTDIR)/usr/share/pixmaps/gluqlo.png

clean:
	rm -f gluqlo

## gluqlo 1.1%2Bgit20211231

=== debian/control ===
Source: gluqlo
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               libsdl-gfx1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libx11-dev
Standards-Version: 3.9.8
Homepage: http://alexanderk.ru/gluqlo
Vcs-Git: git://github.com/alexanderk23/gluqlo.git
Vcs-Browser: https://github.com/alexanderk23/gluqlo

Package: gluqlo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SDL remake of the very popular Fliqlo (tm) screensaver
 Gluqlo is an SDL remake of the very popular Fliqlo (tm) (flipclock)
 screensaver.
 .
 To use it with xscreensaver, add this line to the hidden ".xscreensaver" file
 in your home directory:
 .
 GL: gluqlo -root \n\

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## gluqlo 1.1+git20211231

=== debian/changelog ===
gluqlo (1.1+git20211231-1mx23+1) mx; urgency=medium

  * New pull from git.
  * Use debhelper-compat = 12.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Mar 2023 17:30:29 -0800

gluqlo (1.1-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump to debhelper compat 9.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Nov 2018 18:57:28 -0800

gluqlo (1.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add desktop-file.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Dec 2016 11:53:35 -0800

gluqlo (1.1-1ubuntu2~vivid1) vivid; urgency=medium

  * Add PPA package for Vivid

 -- Alexander Kovalenko <alexanderk23@gmail.com>  Wed, 12 Aug 2015 15:52:21 +0300

gluqlo (1.1-1ubuntu1) saucy; urgency=low

  * Fix build deps

 -- Alexander Kovalenko <alexanderk23@gmail.com>  Sun, 02 Mar 2014 15:22:37 +0400

gluqlo (1.1-1ubuntu0) saucy; urgency=low

  * Initial release

 -- Alexander Kovalenko <alexanderk23@gmail.com>  Sun, 02 Mar 2014 00:22:17 +0400
